% Generace rozmítaného signálu (ESS)
% Fs je vzorkovací frekvence, tempo je doba trvání impulsu, f0 a f1 jsou
% mezní frekvence
% c je výstupní excitační signál, A, B jsou koeficienty pásmové propusti
% Zdroj výpočetního algoritmu jsou z oficiálních webové stránky výrobce
% programu  Matlab 
% (http://www.mathworks.com/matlabcentral/fileexchange/11392-acmus-room-aco
% ustic-parameters)

function [c,B,A] = sweep_gen(Fs,tempo,f0,f1) 

t=(0:1/Fs:tempo);
c = chirp(t,f0,t(end),f1,'log',-90);    
                                        
[B,A] = butter(4,[f0/Fs f1/Fs]);        